from django.shortcuts import render, render_to_response, redirect
from django.views.decorators.cache import never_cache
from django.views.decorators.debug import sensitive_post_parameters
from django.contrib.auth import views as auth_views
from django.conf import settings

from login import forms
# Create your views here.


def password_management_enabled():
    return getattr(settings, 'SOULS_PASSWORD_MANAGEMENT_ENABLED', True)

def password_reset_enabled():
    return getattr(settings, 'SOULS_PASSWORD_RESET_ENABLED', password_management_enabled())

@sensitive_post_parameters()
@never_cache
def login(request):
    if request.user.is_authenticated():
        print "--------------------------------OK 0 ----------------------------"
        return redirect('graph')
    else:
        print "--------------------------------OK 1 ----------------------------"
        return render(request, 'login/login.html')

def logout(request):
    response = auth_views.logout(request, next_page='login')

    response.delete_cookie(settings.SESSION_COOKIE_NAME,
                           domain=settings.SESSION_COOKIE_DOMAIN,
                           path=settings.SESSION_COOKIE_PATH)

    # HACK: pretend that the session hasn't been modified, so that SessionMiddleware
    # won't override the above and write a new cookie.
    request.session.modified = False

    return response
    
