from django.conf.urls import include, url
from django.conf import settings
from django.contrib import admin
from django.views.decorators.cache import never_cache
from django.views.decorators.debug import sensitive_post_parameters



from search import views as search_views
from login import views as login_views
from graph_Monit2S import views as graph_views


urlpatterns = [
    url(r'^admin/', include(admin.site.urls)),

    url(r'^search/$', search_views.search, name='search'),
    url(r'^login/$', login_views.login, name = 'login'),
    url(r'^graph/$', graph_views.show_graph, name = 'graph'),
    url(r'logout/$', login_views.logout, name = 'logout'),

    url(r'^data/$', graph_views.add_data, name = 'data_sensor'),
   
]



if settings.DEBUG:
    from django.conf.urls.static import static
    from django.contrib.staticfiles.urls import staticfiles_urlpatterns
    from django.views.generic import TemplateView

    # Serve static and media files from development server
    urlpatterns += staticfiles_urlpatterns()
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
